iiod(1)

NAME
iiod - IIO Daemon

SYNOPSIS
iiod [ options ]

DESCRIPTION
iiod is a server built on top of Libiio which can share a Libiio context across the network, USB, or a UART link.

COMMANDS

-V, --version
    Display the version of this program.

-d, --debug
    Use alternative (incompatible) debug interface.

-D, --demux
    Demux channels directly on the server.

-i, --interactive
    Run iiod in the controlling terminal.

-a, --aio
    Use asynchronous I/O.

-F, --ffs <arg>
    Use the given FunctionFS mountpoint to serve over USB.

-n, --nb-pipes <arg>
    Specify the number of USB pipes (ep couples) to use.

-s, --serial <arg>
    Run iiod on the specified UART.

-p, --port <arg>
    Port to listen on (default = 30431). Using --port 0 will pick an ephemeral port (dynamic / unused in the range between 32768–60999).

-u, --uri
    The Uniform Resource Identifier (uri) for connecting to devices, can be one of:

    ip:[address]
        network address, either numeric (192.168.0.1) or network hostname

    ip: blank, if compiled with zeroconf support, will find an IIO device on network

    usb:[device:port:instance]
        normally returned from iio_info -S

    serial:[port],[baud],[settings]
        which are controlled, and need to match the iiod (or tinyiiod) on the other end of the serial port.

        [port]
            is something like '/dev/ttyUSB0' on Linux, and 'COM4' on Windows.

        [baud]
            is is normally one of 110, 300, 600, 1200, 2400, 4800, 9600, 14400, 19200, 38400, 57600, 115200 [default], 128000 or 256000, but can vary system to system.

        [settings]
            would normally be configured as '8n1' this is controlled by:

            data_bits:
                (5, 6, 7, 8 [default], or 9)

            parity_bits:
                ('n' none [default], 'o' odd, 'e' even, 'm' mark, or 's' space)

            stop_bits:
                (1 [default, or 2)

            flow_control:
                ('0' none [default], 'x' Xon Xoff, 'r' RTSCTS, or 'd' DTRDSR)

    local:
        with no address part. This is the default.

RETURN VALUE
If the specified device is not found, a non-zero exit code is returned.